## ceph 0.48.3

=== debian/changelog ===
ceph (0.48.3-0ubuntu1) quantal-proposed; urgency=low

  * New upstream Ceph Argonaut LTS point release (LP: #1154547):
    - Fixes error when parsing mon_hosts configuration as hostnames
      with space delimiter (LP: #1099900).
    - d/p/extra-byte-for-null.patch: Dropped as included in upstream
      release.
  * d/watch: Use official release tarballs rather than pulling from github
    to ensure that ceph -v is correctly populated (LP: #1079941).

 -- James Page <james.page@ubuntu.com>  Tue, 16 Apr 2013 13:20:18 -0700
