=== debian/watch ===
version=3
http://ceph.com/download/ceph-(\d.*)\.tar\.bz2
