## ceph 0.56.3

=== debian/changelog ===
ceph (0.56.3-0ubuntu2) raring; urgency=low

  * Fix problem with trailing whitespace in RBD OCF (LP: #1129217):
    - d/p/ocf-whitespace.patch: Strip any trailing whitespace from the
      output of rbd showmapped.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Feb 2013 17:32:00 +0000

ceph (0.56.3-0ubuntu1) raring; urgency=low

  * New upstream release:
    - d/p/pthread-linking.patch: Fix indirect pthread linking problem
      for librados-config.

 -- James Page <james.page@ubuntu.com>  Thu, 14 Feb 2013 13:21:28 +0000

ceph (0.56.2-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Thu, 31 Jan 2013 21:54:37 +0000

ceph (0.56.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * d/control: Bumped Standards-Version to 3.9.4, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 08 Jan 2013 09:14:55 +0000

ceph (0.56-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1092137, #1092327).

 -- James Page <james.page@ubuntu.com>  Mon, 07 Jan 2013 11:26:07 +0000

ceph (0.55.1-0ubuntu1) raring; urgency=low

  * New upstream release:
    - d/control,rules,libcephfs-{java,jni}: Enable Java CephFS library,
      add new BD's on javahelper and default-jdk, add dbg package.
    - d/control: Add new BD on libboost-thread-dev for RADOS Gateway
      keystone integration.
  * Update packaging to debhelper 8.
  * Upstart enablement for ceph and ceph-mds:
    - d/control: Promote gdisk and parted to Recommends for ceph.
    - d/rules: Install upstart configurations during package build.
    - d/p/upstart-tidy.patch: Remove 'stop on' from task configurations.
  * d/control,ceph-fuse.install: Re-enable ceph-fuse on amd64
    architecture only.
  * d/control: Set arch: all for ceph-resource-agents package.
  * d/NEWS: Let users know that cephx is now enabled by default.

 -- James Page <james.page@ubuntu.com>  Mon, 17 Dec 2012 11:37:58 +0000

ceph (0.54-0ubuntu1) raring; urgency=low

  * New upstream release, preview for next upstream LTS release
    (LP: #1056462):
    - d/librbd-dev.install: Pickup new features.h file.
    - d/control: Suggest parted to support upstart integration.
    - d/{control,obsync.install}: Drop obsync package inline with
      upstream.
    - d/control: Add xfsprogs to Depends for ceph to support XFS
      as default filesystem (LP: #1028981).
    - d/patches/*: Drop all patches; either included upstream or
      no longer required.
    - d/ceph.lintian-overrides: Added additional overrides for
      new rados class libraries.
  * d/watch: Switch back to using distributed tarball's rather than
    pulling from github so that version resolution works correctly
    (LP: #1079941). 
  * Tidied up redundant packaging files from debian directory.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Nov 2012 10:15:42 +0000
