## ceph 0.56.4

=== debian/changelog ===
ceph (0.56.4-0ubuntu1) raring; urgency=low

  * New upstream bugfix release:
    - d/p/ocf-whitespace.patch: Dropped as included upstream.
  * d/p/python_rados_cluster_stat.patch: Cherry pick commit from upstream
    master branch to support cluster statistics reporting using the python
    API.

 -- James Page <james.page@ubuntu.com>  Wed, 27 Mar 2013 09:59:26 +0000
