=== debian/control ===
Source: ceph
Section: admin
Priority: optional
Homepage: http://ceph.com/
Vcs-Git: git://github.com/ceph/ceph.git
Vcs-Browser: https://github.com/ceph/ceph
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Uploaders: Sage Weil <sage@newdream.net>
Build-Depends: debhelper (>= 8~), dpkg-dev (>= 1.16.1~), autotools-dev, autoconf, automake, libfuse-dev, libtool, pkg-config, libboost-dev (>= 1.34), libboost-thread-dev, libedit-dev, libnss3-dev, libexpat1-dev, libfcgi-dev, libatomic-ops-dev, libgoogle-perftools-dev [i386 amd64], libkeyutils-dev, python (>= 2.6.6-3~), python-dev, libcurl4-gnutls-dev, uuid-dev, libaio-dev, libsnappy-dev, libleveldb-dev, libs3-dev, javahelper, default-jdk
Build-Conflicts: libcrypto++-dev
Standards-Version: 3.9.4

Package: ceph
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common, uuid-runtime, python, xfsprogs
Conflicts: librgw1, librgw-dev, librgw1-dbg, gceph
Replaces: librgw1, librgw-dev, librgw1-dbg, gceph
Recommends: libcephfs1, librados2, librbd1, gdisk, parted
Description: distributed storage and file system
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains all server daemons and management tools for creating,
 running, and administering a Ceph storage cluster. This does not include
 the POSIX filesystem server, as that has been split into the ceph-mds
 package.

Package: ceph-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph (= ${binary:Version}), ${misc:Depends}
Conflicts: gceph-dbg
Replaces: gceph-dbg
Description: debugging symbols for ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph.

Package: ceph-mds
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ceph, ceph-fs-common
Description: distributed filesystem service
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the ceph-mds daemon, used for serving the distributed
 ceph filesystem on top of the distributed storage cluster.

Package: ceph-mds-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: ceph-mds (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the debugging symbols for ceph-mds

Package: ceph-fuse
Architecture: amd64 
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: fuse-utils
Description: FUSE-based client for the Ceph distributed file system
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 Because the FUSE-based client has certain inherent performance
 limitations, it is recommended that the native Linux kernel client
 be used if possible.  If it is not practical to load a kernel module
 (insufficient privileges, older kernel, etc.), then the FUSE client will
 do.

Package: ceph-fuse-dbg
Architecture: amd64
Section: debug
Priority: extra
Depends: ceph-fuse (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for ceph-fuse
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 FUSE-based client that allows one to mount a Ceph file system without
 root privileges.
 .
 This package contains the debugging symbols for ceph-fuse.

Package: ceph-common
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, librbd1 (= ${binary:Version})
Conflicts: ceph-client-tools
Replaces: ceph-client-tools
Suggests: ceph
Description: common utilities to mount and interact with a ceph filesystem
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 ceph fs with the kernel client.

Package: ceph-common-dbg
Architecture: linux-any
Depends: ceph-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Section: debug
Priority: extra
Description: debugging symbols for ceph-common
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 ceph fs with the kernel client.
 .
 This package contains the debugging symbols for ceph-common.

Package: ceph-fs-common
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common (= ${binary:Version})
Conflicts: ceph-client-tools
Replaces: ceph-client-tools
Suggests: ceph
Description: common utilities to mount and interact with a ceph filesystem
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 ceph fs with the kernel client.
 .
 This package contains common utilities for the Ceph filesystem.

Package: ceph-fs-common-dbg
Architecture: linux-any
Depends: ceph-fs-common (= ${binary:Version}), ${misc:Depends}
Conflicts: ceph-client-tools-dbg
Replaces: ceph-client-tools-dbg
Section: debug
Priority: extra
Description: debugging symbols for ceph-fs-common
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a collection
 of common tools, including the mount utility, that allows one to mount the
 ceph fs with the kernel client.
 .
 This package contains the debugging symbols for ceph-fs-common.

Package: ceph-resource-agents
Architecture: all 
Recommends: pacemaker
Priority: extra
Depends: ceph (>= ${binary:Version}), ${misc:Depends}, resource-agents
Description: OCF-compliant resource agents for Ceph
 Ceph is a distributed storage and network file system designed to provide
 excellent performance, reliability, and scalability.
 .
 This package contains the resource agents (RAs) which integrate
 Ceph with OCF-compliant cluster resource managers,
 such as Pacemaker.

Package: librados2
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: librados, librados1, libcrush, libcrush1
Replaces: librados, librados1, libcrush, libcrush1
Description: RADOS distributed object store client library
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.

Package: librados2-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librados2 (= ${binary:Version}), ${misc:Depends}
Conflicts: librados1-dbg, libcrush1-dbg
Replaces: librados1-dbg, libcrush1-dbg
Description: debugging symbols for librados2
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains debugging symbols for librados2.

Package: librados-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version})
Conflicts: librados1-dev, libcrush-dev, libcrush1-dev
Replaces: librados1-dev, libcrush-dev, libcrush1-dev
Description: RADOS distributed object store client library (development files)
 RADOS is a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to access the distributed object
 store using a simple file-like interface.
 .
 This package contains development files needed for building applications that
 link against librados2.

Package: librbd1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, librados2 (= ${binary:Version})
Description: RADOS block device client library
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.

Package: librbd1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: librbd1 (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for librbd1
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.
 .
 This package contains debugging symbols for librbd1.

Package: librbd-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, librbd1 (= ${binary:Version}), librados-dev
Conflicts: librbd1-dev
Replaces: librbd1-dev
Description: RADOS block device client library (development files)
 RBD is a block device striped across multiple distributed objects
 in RADOS, a reliable, autonomic distributed object storage cluster
 developed as part of the Ceph distributed storage system.  This is a
 shared library allowing applications to manage these block devices.
 .
 This package contains development files needed for building applications that
 link against librbd1.

Package: libcephfs1
Architecture: linux-any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libceph, libceph1
Replaces: libceph, libceph1
Description: Ceph distributed file system client library
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.

Package: libcephfs1-dbg
Architecture: linux-any
Section: debug
Priority: extra
Depends: libcephfs1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libceph1-dbg
Replaces: libceph1-dbg
Description: debugging symbols for libcephfs1
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains debugging symbols for libcephfs1.

Package: libcephfs-dev
Architecture: linux-any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libcephfs1 (= ${binary:Version})
Conflicts: libceph1-dev, libceph-dev
Replaces: libceph1-dev, libceph-dev
Description: Ceph distributed file system client library (development files)
 Ceph is a distributed network file system designed to provide
 excellent performance, reliability, and scalability.  This is a
 shared library allowing applications to access a Ceph distributed
 file system via a POSIX-like interface.
 .
 This package contains development files needed for building applications that
 link against libcephfs1.

Package: radosgw
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}, ceph-common, libexpat1, librados2 (= ${binary:Version})
Description: REST gateway for RADOS distributed object store
 RADOS is a distributed object store used by the Ceph distributed
 storage system.  This package provides a REST gateway to the
 object store that aims to implement a superset of Amazon's S3
