## ceph 0.56.7

=== debian/changelog ===
ceph (0.56.7-0ubuntu1) raring-proposed; urgency=low

  * New upstream point release (LP: #1218341).
  * d/p/upstart_detect_uppercase.patch: Support use of uppercase host
    and cluster names when starting ceph daemons (LP: #1218852).

 -- James Page <james.page@ubuntu.com>  Mon, 02 Sep 2013 11:00:02 +0100

ceph (0.56.6-0ubuntu1) raring-proposed; urgency=low

  * New upstream LTS point release (LP: #1194166):
    - d/rules,ceph.install: Install new udev rules for handling OSD
      devices; replaces ceph-hotplug upstart configuration.
    - d/control: Add cryptsetup-bin to Recommends for ceph for block
      device encryption support.
    - d/ceph.install: Install new ceph-disk tool (consolidates
      ceph-disk-prepare and ceph-disk-activiate). Wrappers retained
      for backwards compatibility.
    - d/ceph.dirs: Add missing Ceph MDS bootstrap dir.
    - d/p/*: Refreshed patches.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Jun 2013 21:30:05 +0100
