=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, hdparm | sdparm, binutils, ceph-common, uuid-runtime, python, xfsprogs
 Conflicts: librgw1, librgw-dev, librgw1-dbg, gceph
 Replaces: librgw1, librgw-dev, librgw1-dbg, gceph
-Recommends: libcephfs1, librados2, librbd1, gdisk, parted
+Recommends: libcephfs1, librados2, librbd1, gdisk, parted, cryptsetup-bin
 Description: distributed storage and file system
  Ceph is a distributed storage and network file system designed to provide
  excellent performance, reliability, and scalability.
@@ -286,4 +286,3 @@
 Description: REST gateway for RADOS distributed object store
  RADOS is a distributed object store used by the Ceph distributed
  storage system.  This package provides a REST gateway to the
- object store that aims to implement a superset of Amazon's S3
