=== debian/rules ===
--- 
+++ 
@@ -70,6 +70,7 @@
 	dh_auto_install
 	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
 	install -D -m 644 udev/50-rbd.rules $(DESTDIR)/lib/udev/rules.d/50-rbd.rules
+	install -D -m 644 udev/95-ceph-osd.rules $(DESTDIR)/lib/udev/rules.d/95-ceph-osd.rules
 
 override_dh_installinit:
 	dh_installinit --no-start
